/* Generated By:JavaCC: Do not edit this line. CminusParserTreeConstants.java Version 5.0 */
public interface CminusParserTreeConstants
{
  public int JJTPROGRAM = 0;
  public int JJTDECLARATIONLIST = 1;
  public int JJTDECLARATION = 2;
  public int JJTTYPESPECIFIER = 3;
  public int JJTVARDECLERATION = 4;
  public int JJTSCALARDECLARATION = 5;
  public int JJTARRAYDECLARATION = 6;
  public int JJTFUNDECLERATION = 7;
  public int JJTPARAMS = 8;
  public int JJTPARAM = 9;
  public int JJTCOMPOUNDSTATMENT = 10;
  public int JJTLOCALDECLARATIONS = 11;
  public int JJTSTATEMENTLIST = 12;
  public int JJTSTATEMENT = 13;
  public int JJTASSIGNSTATEMENT = 14;
  public int JJTVAR = 15;
  public int JJTRETURNSTATEMENT = 16;
  public int JJTSELECTIONSTATEMENT = 17;
  public int JJTITERATIONSTATEMENT = 18;
  public int JJTRELATIONALEXPRESSION = 19;
  public int JJTRELOP = 20;
  public int JJTADDITIVEEXPRESSION = 21;
  public int JJTADDITIVEEXPRESSIONPRIME = 22;
  public int JJTADDOP = 23;
  public int JJTTERM = 24;
  public int JJTTERMPRIME = 25;
  public int JJTMULTOP = 26;
  public int JJTFACTOR = 27;
  public int JJTCALL = 28;
  public int JJTARGS = 29;


  public String[] jjtNodeName = {
    "program",
    "declarationList",
    "declaration",
    "typeSpecifier",
    "varDecleration",
    "scalarDeclaration",
    "arrayDeclaration",
    "funDecleration",
    "params",
    "param",
    "compoundStatment",
    "localDeclarations",
    "statementList",
    "statement",
    "assignStatement",
    "var",
    "returnStatement",
    "selectionStatement",
    "iterationStatement",
    "relationalExpression",
    "relop",
    "additiveExpression",
    "additiveExpressionPrime",
    "addop",
    "term",
    "termPrime",
    "multop",
    "factor",
    "call",
    "args",
  };
}
/* JavaCC - OriginalChecksum=3bcf6efae5fcca402acf426d24ba4a2e (do not edit this line) */
